#pragma once

#include "BtnST.h"
#include "ResourceServerST.h"
#include "LayeredWindowHelperST.h"
#include "Icons.h"

class CDlgLayeredWindowHelperST : public CDialog
{
public:
	CDlgLayeredWindowHelperST(CWnd* pParent, CResourceServerST* m_pIcons, HWND hParentWnd);

	//{{AFX_DATA(CDlgLayeredWindowHelperST)
	enum { IDD = IDD_LAYEREDWINDOWHELPERST };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDlgLayeredWindowHelperST)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	//}}AFX_VIRTUAL

protected:

	// Generated message map functions
	//{{AFX_MSG(CDlgLayeredWindowHelperST)
	virtual BOOL OnInitDialog();
	afx_msg void OnReleasedcaptureSlider(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnCustomdrawSlider(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG

private:
	void OnCancel();
	void OnOK();
	void SetTransparency();

	CLayeredWindowHelperST	m_Layered;
	CSliderCtrl				m_OpacitySlider;

	CResourceServerST*		m_pIconsDLL;
	HWND					m_hParentWnd;


	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.
